Create sub-customer

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Customer Id

Request

This endpoint expects an object.
customerNamestringRequired
Customer Name
currencystringRequired
Currency
useParentContactInfobooleanRequired
Use Parent Customer's Contact Info
billingEmailstringOptional
Billing Email
billingAddressobjectOptional
Billing Address

Response

Sub-customer created in Tabs. When the merchant has an ERP connected, jobId is the sync job’s ID and statusEndpoint points at it. When there’s no ERP, jobId is null and statusEndpoint points at the customer instead.

payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings

Errors

500
Internal Server Error